services:
  - docker:dind

stages:
  - build-docker-image
  - build-graphviz-package

build-docker-image:
  image: docker:latest
  stage: build-docker-image
  script:
    - docker login -u "gitlab-ci-token" -p "$CI_BUILD_TOKEN" $CI_REGISTRY
    - docker build --pull -t "$CI_REGISTRY_IMAGE:$CI_BUILD_REF_NAME" .
    - docker push "$CI_REGISTRY_IMAGE:$CI_BUILD_REF_NAME"

build-graphviz-package:
  image: "$CI_REGISTRY_IMAGE:$CI_BUILD_REF_NAME"
  stage: build-graphviz-package
  script:
    - ./build-pkg.sh
  artifacts:
    paths:
      - ./graphviz_2.*_amd64.deb

